Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.rdfa
Class AbstractRDFaExtractorTestCase

    java.lang.Object
      org.apache.any23.extractor.html.AbstractExtractorTestCase
          org.apache.any23.extractor.rdfa.AbstractRDFaExtractorTestCase

Direct Known Subclasses:
  RDFa11ExtractorTest, RDFaExtractorTest

    public abstract class AbstractRDFaExtractorTestCase

extends AbstractExtractorTestCase

This class provides a common set of tests for an RDFa extractor.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Field Summary
`protected static org.apache.any23.vocab.DCTERMS` | `vDCTERMS`
`protected static org.apache.any23.vocab.FOAF` | `vFOAF`

Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`baseURI`

Constructor Summary
`AbstractRDFaExtractorTestCase()`

Method Summary
`void` | `testBasic()` Verify the basic RDFa support.
`void` | `testDrupalTestPage()` This test checks if the RDF extraction is compliant to the RDFa in XHTML: Syntax and Processing specification against the Drupal test page.
`void` | `testEmptyDatatypeDeclarationWithInnerXMLTags()` This test checks if the subject of a property modeled as RDFa in a XHTML document where the subject contains inner XML tags is represented as a plain Literal stripping all the inner tags.
`void` | `testIncompleteTripleManagement()` See RDFa 1.1 Specification section 6.2 .
`void` | `testRDFa11CURIEs()` This test check if the RDFa1.1 CURIEs expansion is correct and backward compatible with RDFa 1.0.

Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase
`assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertError, assertExtracts, assertModelEmpty, assertModelNotEmpty, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getErrors, getExtractorFactory, getReport, getStatements, getStatementsSize, setUp, tearDown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vDCTERMS

    protected static final org.apache.any23.vocab.DCTERMS vDCTERMS

### vFOAF

    protected static final org.apache.any23.vocab.FOAF vFOAF

Constructor Detail

### AbstractRDFaExtractorTestCase

    public AbstractRDFaExtractorTestCase()

Method Detail

### testBasic

    public void testBasic()
                   throws org.openrdf.repository.RepositoryException

  Verify the basic RDFa support.

  Throws:
    `org.openrdf.repository.RepositoryException`

### testRDFa11CURIEs

    public void testRDFa11CURIEs()
                          throws org.openrdf.repository.RepositoryException

  This test check if the RDFa1.1 CURIEs expansion is correct and backward compatible with RDFa 1.0.

  Throws:
    `org.openrdf.repository.RepositoryException`

### testEmptyDatatypeDeclarationWithInnerXMLTags

    public void testEmptyDatatypeDeclarationWithInnerXMLTags()
                                                      throws org.openrdf.repository.RepositoryException

  This test checks if the subject of a property modeled as RDFa in a XHTML document where the subject contains inner XML tags is represented as a plain Literal stripping all the inner tags. For details see the RDFa in XHTML: Syntax and Processing recommendation.

  Throws:
    `org.openrdf.repository.RepositoryException`

### testDrupalTestPage

    public void testDrupalTestPage()
                            throws org.openrdf.repository.RepositoryException

  This test checks if the RDF extraction is compliant to the RDFa in XHTML: Syntax and Processing specification against the Drupal test page.

  Throws:
    `org.openrdf.repository.RepositoryException`

### testIncompleteTripleManagement

    public void testIncompleteTripleManagement()
                                        throws org.openrdf.repository.RepositoryException

  See RDFa 1.1 Specification section 6.2 .

  Throws:
    `org.openrdf.repository.RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.